module     p0_dubar_emnebarg_diagramsh0l0fr5
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W1jet/1.4/Virtual/p
   ! 0_dubar_emnebarg/helicity0/diagramsl0fr5.f90
   ! generator: haggies (1.1)
   use p0_dubar_emnebarg_color, only: numcs
   use p0_dubar_emnebarg_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p0_dubar_emnebarg_model
      use p0_dubar_emnebarg_kinematics
      use p0_dubar_emnebarg_color
      use p0_dubar_emnebarg_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p0_dubar_emnebarg_accu, only: sorted_sum
      use p0_dubar_emnebarg_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(2,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      diagrams(2, :) = (0.0_ki)
      t1 = (es34+i_*mW*wW-mW*mW)*es51
      diagrams(1, :) = (spak2k3*i_*(4.0_ki)*(spak1k2/(t1*spak2k5*sqrt2)*spbk4k1*&
      &spbk5k1-spbk5k1/(t1*sqrt2)*spbk5k4)*c1)
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 0, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 0, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p0_dubar_emnebarg_diagramsh0l0fr5
