module     p3_udbar_neepg_diagramsh1l0fr5
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W1jet/1.4/Virtual/p
   ! 3_udbar_neepg/helicity1/diagramsl0fr5.f90
   ! generator: haggies (1.1)
   use p3_udbar_neepg_color, only: numcs
   use p3_udbar_neepg_config, only: ki
   implicit none

   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   complex(ki), dimension(numcs), parameter :: zero_col = 0.0_ki

   public :: amplitude

contains
   function     amplitude()
      use p3_udbar_neepg_model
      use p3_udbar_neepg_kinematics
      use p3_udbar_neepg_color
      use p3_udbar_neepg_config, only: debug_lo_diagrams, &
        & use_sorted_sum
      use p3_udbar_neepg_accu, only: sorted_sum
      use p3_udbar_neepg_util, only: inspect_lo_diagram
      implicit none
      complex(ki), dimension(numcs) :: amplitude
      complex(ki), dimension(2,numcs) :: diagrams
      integer :: i
      complex(ki) :: t1
      complex(ki) :: t2
      diagrams(:,:) = (0.0_ki, 0.0_ki)
      t1 = es34+i_*mW*wW-mW*mW
      t2 = (es34-(es51+es12))*t1*spbk5k2*sqrt2
      diagrams(2, :) = (spak3k5*i_*(4.0_ki)*(es12/t2*spbk4k1+es51/t2*spbk4k1-es3&
      &4/t2*spbk4k1)*c1)
      diagrams(1, :) = (spbk4k1*spbk2k1*spak2k3*spak1k5*i_*(4.0_ki)/(t1*es51*spb&
      &k5k2*sqrt2)*c1)
      if (debug_lo_diagrams) then
         call inspect_lo_diagram(diagrams(1,:), 1, 1, 19)
         call inspect_lo_diagram(diagrams(2,:), 2, 1, 19)
      end if

      if (use_sorted_sum) then
         do i=1,numcs
            amplitude(i) = sorted_sum(diagrams(:,i))
         end do
      else
         do i=1,numcs
            amplitude(i) = sum(diagrams(:,i))
         end do
      end if
   end function     amplitude
end module p3_udbar_neepg_diagramsh1l0fr5
