module     p0_dubar_emnebarg_d6h1l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W1jet/1.4/Virtual/p
   ! 0_dubar_emnebarg/helicity1/d6h1l1d.f90
   ! generator: haggies (1.1)
   use p0_dubar_emnebarg_config, only: ki
   use p0_dubar_emnebarg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d6
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p0_dubar_emnebarg_globalsl1, only: epspow
      use p0_dubar_emnebarg_kinematics
      use p0_dubar_emnebarg_abbrevh1
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      complex(ki) :: t20
      complex(ki) :: t21
      complex(ki) :: t22
      complex(ki) :: t23
      complex(ki) :: t24
      complex(ki) :: t25
      complex(ki) :: t26
      real(ki) :: t27
      real(ki) :: t28
      real(ki) :: t29
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t27 = dotproduct(k2, qshift)
      t28 = dotproduct(qshift, qshift)
      t29 = dotproduct(k5, qshift)
      t1 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      t2 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t3 = (spvak5k2(1)*qshift(1)-spvak5k2(2)*qshift(2)-spvak5k2(3)*qshift(3)-sp&
      &vak5k2(4)*qshift(4))
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t6 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (abb6n24+t1*abb6n40+t2*abb6n41+t27*abb6n39+t27*t27*abb6n34+&
         &t28*abb6n36+t29*abb6n38+t3*abb6n42+t1*t27*abb6n31+t1*t28*abb6n48+t1*t2&
         &9*abb6n29+t1*t3*abb6n28+t2*t27*abb6n26+t2*t28*abb6n50+t2*t29*abb6n27+t&
         &2*t3*abb6n25+t27*t28*abb6n46+t27*t29*abb6n32+t27*t3*abb6n35+t28*t3*abb&
         &6n43+t3*t4*abb6n30+t3*t5*abb6n33+t3*t4*t6*abb6n52)
         return
      end if
      t7 = k2(iv1)
      t8 = k5(iv1)
      t9 = qshift(iv1)
      t10 = spvak3k1(iv1)
      t11 = spvak5k1(iv1)
      t12 = spvak5k2(iv1)
      t13 = spvak2k1(iv1)
      t14 = spvak2k5(iv1)
      t15 = spvak3k4(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb6n41+t11*abb6n40+t12*abb6n42+t7*abb6n39+t8*abb6n38+&
         &t9*abb6n37+t1*t12*abb6n28+t1*t7*abb6n31+t1*t8*abb6n29+t1*t9*abb6n49+t1&
         &0*t27*abb6n26+t10*t28*abb6n50+t10*t29*abb6n27+t10*t3*abb6n25+t11*t27*a&
         &bb6n31+t11*t28*abb6n48+t11*t29*abb6n29+t11*t3*abb6n28+t12*t2*abb6n25+t&
         &12*t27*abb6n35+t12*t28*abb6n43+t12*t4*abb6n30+t12*t5*abb6n33+t13*t3*ab&
         &b6n30+t14*t3*abb6n33+t2*t7*abb6n26+t2*t8*abb6n27+t2*t9*abb6n51+t27*t7*&
         &abb6n45+t27*t8*abb6n32+t27*t9*abb6n47+t28*t7*abb6n46+t29*t7*abb6n32+t3&
         &*t7*abb6n35+t3*t9*abb6n44+t12*t4*t6*abb6n52+t13*t3*t6*abb6n52+t15*t3*t&
         &4*abb6n52)
         return
      end if
      t28 = d(iv1,iv2)
      t5 = k2(iv2)
      t16 = k5(iv2)
      t17 = qshift(iv2)
      t18 = spvak3k1(iv2)
      t19 = spvak5k1(iv2)
      t20 = spvak5k2(iv2)
      t21 = t13*t20
      t22 = spvak2k1(iv2)
      t23 = t12*t22
      t24 = spvak3k4(iv2)
      t25 = t13*t24
      t26 = t15*t22
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t28*abb6n36+t1*t28*abb6n48+t2*t28*abb6n50+t27*t2&
         &8*abb6n46+t28*t3*abb6n43+t5*t7*abb6n34)+t21*abb6n30+t23*abb6n30+spvak2&
         &k5(iv2)*t12*abb6n33+t10*t16*abb6n27+t10*t17*abb6n51+t10*t20*abb6n25+t1&
         &0*t5*abb6n26+t11*t16*abb6n29+t11*t17*abb6n49+t11*t20*abb6n28+t11*t5*ab&
         &b6n31+t12*t17*abb6n44+t12*t18*abb6n25+t12*t19*abb6n28+t12*t5*abb6n35+t&
         &14*t20*abb6n33+t16*t7*abb6n32+t17*t7*abb6n47+t18*t7*abb6n26+t18*t8*abb&
         &6n27+t18*t9*abb6n51+t19*t7*abb6n31+t19*t8*abb6n29+t19*t9*abb6n49+t20*t&
         &7*abb6n35+t20*t9*abb6n44+t21*t6*abb6n52+t23*t6*abb6n52+t25*t3*abb6n52+&
         &t26*t3*abb6n52+t5*t8*abb6n32+t5*t9*abb6n47+t12*t24*t4*abb6n52+t15*t20*&
         &t4*abb6n52)
         return
      end if
      t27 = d(iv2,iv3)
      t29 = d(iv1,iv3)
      t1 = spvak5k2(iv3)
      t2 = spvak3k4(iv3)
      t3 = spvak2k1(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(k2(iv3)*t28*abb6n46+spvak3k1(iv3)*t28*abb6n50+sp&
         &vak5k1(iv3)*t28*abb6n48+t1*t28*abb6n43+t10*t27*abb6n50+t11*t27*abb6n48&
         &+t12*t27*abb6n43+t18*t29*abb6n50+t19*t29*abb6n48+t20*t29*abb6n43+t27*t&
         &7*abb6n46+t29*t5*abb6n46)+t1*t25*abb6n52+t1*t26*abb6n52+t12*t2*t22*abb&
         &6n52+t12*t24*t3*abb6n52+t13*t2*t20*abb6n52+t15*t20*t3*abb6n52)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d6:
   subroutine     reconstruct_d6(coeffs)
      use p0_dubar_emnebarg_groups, only: tensrec_info_group1
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group1), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_6:
      coeffs%coeffs_6%c0 = derivative(czip)
      coeffs%coeffs_6%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_6%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_6%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_6%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_6%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_6%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_6%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_6%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_6%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_6%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_6%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_6%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_6%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_6%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_6%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_6%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_6%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_6%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_6%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_6%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_6%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_6%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_6%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_6%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_6%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_6%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_6%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_6%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_6:
   end subroutine reconstruct_d6
!---#] subroutine reconstruct_d6:
end module p0_dubar_emnebarg_d6h1l1d
