module     p3_udbar_neepg_d6h0l1d
   ! file:      /home/pcl305a/luisonig/Documents/GoSamSherpa/W1jet/1.4/Virtual/p
   ! 3_udbar_neepg/helicity0/d6h0l1d.f90
   ! generator: haggies (1.1)
   use p3_udbar_neepg_config, only: ki
   use p3_udbar_neepg_util, only: cond, d => metric_tensor
   implicit none
   private

   complex(ki), parameter :: i_ = (0.0_ki, 1.0_ki)
   integer, private :: iv0
   integer, private :: iv1
   integer, private :: iv2
   integer, private :: iv3
   real(ki), dimension(4), private :: qshift


   public :: derivative, reconstruct_d6
contains

!---#[ function derivative:
   function derivative(mu2, i1, i2, i3) result(numerator)
      use p3_udbar_neepg_globalsl1, only: epspow
      use p3_udbar_neepg_kinematics
      use p3_udbar_neepg_abbrevh0
      implicit none
      complex(ki), intent(in) :: mu2
      integer, intent(in), optional :: i1
      integer, intent(in), optional :: i2
      integer, intent(in), optional :: i3
      complex(ki) :: numerator
      complex(ki) :: loc
      complex(ki) :: t1
      complex(ki) :: t2
      complex(ki) :: t3
      complex(ki) :: t4
      complex(ki) :: t5
      complex(ki) :: t6
      complex(ki) :: t7
      complex(ki) :: t8
      complex(ki) :: t9
      complex(ki) :: t10
      complex(ki) :: t11
      complex(ki) :: t12
      complex(ki) :: t13
      complex(ki) :: t14
      complex(ki) :: t15
      complex(ki) :: t16
      complex(ki) :: t17
      complex(ki) :: t18
      complex(ki) :: t19
      real(ki) :: t20
      real(ki) :: t21
      real(ki) :: t22
      integer :: deg
      complex(ki), dimension(4), parameter :: Q = (/&
        &(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki),(0.0_ki,0.0_ki)/)
      qshift = -k2
      numerator = 0.0_ki
      deg = 0
      if(present(i1)) then
         iv1 = i1
         deg = 1
      else
         iv1 = 1
      end if
      if(present(i2)) then
         iv2 = i2
         deg = 2
      else
         iv2 = 1
      end if
      if(present(i3)) then
         iv3 = i3
         deg = 3
      else
         iv3 = 1
      end if
      t1 = (spvak3k4(1)*qshift(1)-spvak3k4(2)*qshift(2)-spvak3k4(3)*qshift(3)-sp&
      &vak3k4(4)*qshift(4))
      t20 = dotproduct(qshift, qshift)
      t2 = (spvak2k5(1)*qshift(1)-spvak2k5(2)*qshift(2)-spvak2k5(3)*qshift(3)-sp&
      &vak2k5(4)*qshift(4))
      t21 = dotproduct(k5, qshift)
      t22 = dotproduct(k2, qshift)
      t3 = (spvak3k1(1)*qshift(1)-spvak3k1(2)*qshift(2)-spvak3k1(3)*qshift(3)-sp&
      &vak3k1(4)*qshift(4))
      t4 = (spvak2k1(1)*qshift(1)-spvak2k1(2)*qshift(2)-spvak2k1(3)*qshift(3)-sp&
      &vak2k1(4)*qshift(4))
      t5 = (spvak5k1(1)*qshift(1)-spvak5k1(2)*qshift(2)-spvak5k1(3)*qshift(3)-sp&
      &vak5k1(4)*qshift(4))
      if(deg.eq.0) then
         numerator = (t1*abb6n18+t2*abb6n30+t2*t2*abb6n26+t20*abb6n25+t21*abb6n2&
         &8+t22*abb6n29+t3*abb6n31+t1*t2*abb6n24+t2*t21*abb6n27+t2*t3*abb6n19+t2&
         &*t4*abb6n23+t2*t5*abb6n21+t20*t4*abb6n34+t21*t4*abb6n22+t22*t4*abb6n20&
         &+t1*t2*t4*abb6n36)
         return
      end if
      t6 = k2(iv1)
      t7 = k5(iv1)
      t8 = qshift(iv1)
      t9 = spvak2k5(iv1)
      t10 = spvak3k1(iv1)
      t11 = spvak3k4(iv1)
      t12 = spvak2k1(iv1)
      t13 = spvak5k1(iv1)
      if(deg.eq.1) then
         numerator = (t10*abb6n31+t11*abb6n18+t6*abb6n29+t7*abb6n28+t8*abb6n33+t&
         &9*abb6n30+t1*t9*abb6n24+t10*t2*abb6n19+t11*t2*abb6n24+t12*t2*abb6n23+t&
         &12*t20*abb6n34+t12*t21*abb6n22+t12*t22*abb6n20+t13*t2*abb6n21+t2*t7*ab&
         &b6n27+t2*t9*abb6n32+t21*t9*abb6n27+t3*t9*abb6n19+t4*t6*abb6n20+t4*t7*a&
         &bb6n22+t4*t8*abb6n35+t4*t9*abb6n23+t5*t9*abb6n21+t1*t12*t2*abb6n36+t1*&
         &t4*t9*abb6n36+t11*t2*t4*abb6n36)
         return
      end if
      t20 = d(iv1,iv2)
      t3 = spvak2k5(iv2)
      t5 = spvak2k1(iv2)
      t14 = k5(iv2)
      t15 = t12*t3
      t16 = t5*t9
      t17 = spvak3k4(iv2)
      t18 = t17*t9
      t19 = t11*t3
      if(deg.eq.2) then
         numerator = ((2.0_ki)*(t20*abb6n25+t20*t4*abb6n34+t3*t9*abb6n26)+t15*ab&
         &b6n23+t16*abb6n23+t18*abb6n24+t19*abb6n24+k2(iv2)*t12*abb6n20+qshift(i&
         &v2)*t12*abb6n35+spvak3k1(iv2)*t9*abb6n19+spvak5k1(iv2)*t9*abb6n21+t1*t&
         &15*abb6n36+t1*t16*abb6n36+t10*t3*abb6n19+t12*t14*abb6n22+t13*t3*abb6n2&
         &1+t14*t9*abb6n27+t18*t4*abb6n36+t19*t4*abb6n36+t3*t7*abb6n27+t5*t6*abb&
         &6n20+t5*t7*abb6n22+t5*t8*abb6n35+t11*t2*t5*abb6n36+t12*t17*t2*abb6n36)
         return
      end if
      t1 = spvak2k1(iv3)
      t2 = spvak3k4(iv3)
      t4 = spvak2k5(iv3)
      if(deg.eq.3) then
         numerator = ((2.0_ki)*(d(iv1,iv3)*t5*abb6n34+d(iv2,iv3)*t12*abb6n34+t1*&
         &t20*abb6n34)+t15*t2*abb6n36+t16*t2*abb6n36+t1*t11*t3*abb6n36+t1*t17*t9&
         &*abb6n36+t11*t4*t5*abb6n36+t12*t17*t4*abb6n36)
         return
      end if
   end function derivative
!---#] function derivative:
!---#[ subroutine reconstruct_d6:
   subroutine     reconstruct_d6(coeffs)
      use p3_udbar_neepg_groups, only: tensrec_info_group1
      implicit none
      complex(ki), parameter :: czip = (0.0_ki, 0.0_ki)
      complex(ki), parameter :: cone = (1.0_ki, 0.0_ki)

      type(tensrec_info_group1), intent(out) :: coeffs
      ! rank 3 case:
      !---[# reconstruct coeffs%coeffs_6:
      coeffs%coeffs_6%c0 = derivative(czip)
      coeffs%coeffs_6%c1(1,1) = derivative(czip,1)
      coeffs%coeffs_6%c1(1,2) = derivative(czip,1,1) / 2.0_ki
      coeffs%coeffs_6%c1(1,3) = derivative(czip,1,1,1) / 6.0_ki
      coeffs%coeffs_6%c1(2,1) = -derivative(czip,2)
      coeffs%coeffs_6%c1(2,2) = derivative(czip,2,2) / 2.0_ki
      coeffs%coeffs_6%c1(2,3) = -derivative(czip,2,2,2) / 6.0_ki
      coeffs%coeffs_6%c1(3,1) = -derivative(czip,3)
      coeffs%coeffs_6%c1(3,2) = derivative(czip,3,3) / 2.0_ki
      coeffs%coeffs_6%c1(3,3) = -derivative(czip,3,3,3) / 6.0_ki
      coeffs%coeffs_6%c1(4,1) = -derivative(czip,4)
      coeffs%coeffs_6%c1(4,2) = derivative(czip,4,4) / 2.0_ki
      coeffs%coeffs_6%c1(4,3) = -derivative(czip,4,4,4) / 6.0_ki
      coeffs%coeffs_6%c2(1,1) = -derivative(czip,1,2)
      coeffs%coeffs_6%c2(1,2) = derivative(czip,1,2,2) / 2.0_ki
      coeffs%coeffs_6%c2(1,3) = -derivative(czip,1,1,2) / 2.0_ki
      coeffs%coeffs_6%c2(2,1) = -derivative(czip,1,3)
      coeffs%coeffs_6%c2(2,2) = derivative(czip,1,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(2,3) = -derivative(czip,1,1,3) / 2.0_ki
      coeffs%coeffs_6%c2(3,1) = -derivative(czip,1,4)
      coeffs%coeffs_6%c2(3,2) = derivative(czip,1,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(3,3) = -derivative(czip,1,1,4) / 2.0_ki
      coeffs%coeffs_6%c2(4,1) = derivative(czip,2,3)
      coeffs%coeffs_6%c2(4,2) = -derivative(czip,2,3,3) / 2.0_ki
      coeffs%coeffs_6%c2(4,3) = -derivative(czip,2,2,3) / 2.0_ki
      coeffs%coeffs_6%c2(5,1) = derivative(czip,2,4)
      coeffs%coeffs_6%c2(5,2) = -derivative(czip,2,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(5,3) = -derivative(czip,2,2,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,1) = derivative(czip,3,4)
      coeffs%coeffs_6%c2(6,2) = -derivative(czip,3,4,4) / 2.0_ki
      coeffs%coeffs_6%c2(6,3) = -derivative(czip,3,3,4) / 2.0_ki
      coeffs%coeffs_6%c3(1,1) = derivative(czip,1,2,3)
      coeffs%coeffs_6%c3(2,1) = derivative(czip,1,2,4)
      coeffs%coeffs_6%c3(3,1) = derivative(czip,1,3,4)
      coeffs%coeffs_6%c3(4,1) = -derivative(czip,2,3,4)
      !---#] reconstruct coeffs%coeffs_6:
   end subroutine reconstruct_d6
!---#] subroutine reconstruct_d6:
end module p3_udbar_neepg_d6h0l1d
